package com.hzya.frame.web.entity;

/**
 * 
 * @author 郭军辉
 *
 *  2016年12月14日下午5:21:35
 */
public class JsonResultEntity {
	/** 提示信息 */
	private String msg;
	/** 返回类型 */
	private String type;
	/** 是否成功 true成功 false失败 */
	private boolean flag;
	/** 状态码*/
	private String status;
	/** request 域放的对象 */
	private Object attribute;

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public boolean isFlag() {
		return flag;
	}

	public void setFlag(boolean flag) {
		this.flag = flag;
	}

	public Object getAttribute() {
		return attribute;
	}

	public void setAttribute(Object attribute) {
		this.attribute = attribute;
	}

	public JsonResultEntity(String msg, boolean flag, Object attribute) {
		super();
		this.msg = msg;
		this.flag = flag;
		this.attribute = attribute;
	}

    public JsonResultEntity(String msg, boolean flag, String status) {
        this.msg = msg;
        this.flag = flag;
        this.status = status;
    }

    public JsonResultEntity(String msg, boolean flag, String status, Object attribute) {
        this.msg = msg;
        this.flag = flag;
        this.status = status;
        this.attribute = attribute;
    }

    public JsonResultEntity(String msg, boolean flag) {
		super();
		this.msg = msg;
		this.flag = flag;
	}

	public JsonResultEntity() {
		super();
	}

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

}
